Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Debugging/DebugDataTable.h File Reference

`#include "Tools/Streams/InOut.h"`
`#include <vector>`
`#include <typeinfo>`
`#include <string>`
`#include <map>`

Include dependency graph for DebugDataTable.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | DebugDataHeader
class | DebugData
class | DebugDataTable
## Defines
#define | hash_map std::map
#define | MODIFY(names, object)
## Functions
DebugDataTable & | getDebugDataTable ()
In & | operator>> (In &in, DebugDataTable &debugDataTable)
void | initDebugDataTable (DebugDataTable *debugDataTablePtr)

## Define Documentation

#define hash_map std::map

| Definition at line 38 of file DebugDataTable.h.

#define MODIFY | ( | names,
|  | object |  | ) |

| Value:
    getDebugDataTable().registerObject( names, object); \
      getDebugDataTable().f( names, object); \
      DEBUG_RESPONSE( "debug data:"names, \
      OUTPUT( idDebugDataResponse, bin, names << typeid( object ).name() << object); \
      );
Definition at line 45 of file DebugDataTable.h. Referenced by GT2005CollisionDetector::calculateThresholds(), GT2005TeamBallLocator::execute(), GT2005SelfLocator::execute(), GT2005ObstaclesLocator::execute(), SlamImageProcessor::execute(), GT2005BasicBehaviorDirectedScanForObstacles::execute(), GT2005GoalRecognizer::interpretResults(), Cognition::main(), GT2005BallLocator::modify(), AngleSymbols::setTestAngle(), GT2005HeadControl::showVisualizationQuality(), and GT2005StrategySymbols::update().

## Function Documentation

DebugDataTable& getDebugDataTable | ( |  | ) |

| Definition at line 15 of file DebugDataTable.cpp. References debugDataTable.

In& operator>> | ( | In & | in,
|  | DebugDataTable & | debugDataTable
| ) |

void initDebugDataTable | ( | DebugDataTable * | debugDataTablePtr | ) |

| Definition at line 11 of file DebugDataTable.cpp. References debugDataTable. Referenced by Process::Process(), and Process::processMain().